Bug 1052441 - [abrt] zsh: freecvdef(): zsh killed by SIGSEGV
Summary: [abrt] zsh: freecvdef(): zsh killed by SIGSEGV
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zsh
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e82d4c1ec52f2ece0e76b76ab09...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-13 20:16 UTC by Allan Poulsen
Modified: 2016-01-25 13:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-01 10:31:53 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (113.61 KB, text/plain)
2014-01-13 20:16 UTC, Allan Poulsen
no flags Details
File: cgroup (174 bytes, text/plain)
2014-01-13 20:16 UTC, Allan Poulsen
no flags Details
File: core_backtrace (79.58 KB, text/plain)
2014-01-13 20:16 UTC, Allan Poulsen
no flags Details
File: dso_list (1.50 KB, text/plain)
2014-01-13 20:16 UTC, Allan Poulsen
no flags Details
File: environ (2.03 KB, text/plain)
2014-01-13 20:16 UTC, Allan Poulsen
no flags Details
File: exploitable (82 bytes, text/plain)
2014-01-13 20:16 UTC, Allan Poulsen
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-13 20:16 UTC, Allan Poulsen
no flags Details
File: maps (13.80 KB, text/plain)
2014-01-13 20:16 UTC, Allan Poulsen
no flags Details
File: open_fds (104 bytes, text/plain)
2014-01-13 20:16 UTC, Allan Poulsen
no flags Details
File: proc_pid_status (935 bytes, text/plain)
2014-01-13 20:16 UTC, Allan Poulsen
no flags Details
File: var_log_messages (373 bytes, text/plain)
2014-01-13 20:16 UTC, Allan Poulsen
no flags Details

Description Allan Poulsen 2014-01-13 20:16:08 UTC
Version-Release number of selected component:
zsh-5.0.2-6.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /bin/zsh
crash_function: freecvdef
executable:     /usr/bin/zsh
kernel:         3.12.6-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 freecvdef at computil.c:2799
 #1 get_cvdef at computil.c:2998
 #2 bin_compvalues at computil.c:3347
 #3 execbuiltin at builtin.c:450
 #4 execcmd at exec.c:3259
 #5 execpline2 at exec.c:1677
 #6 execpline at exec.c:1462
 #7 execlist at exec.c:1245
 #8 execif at loop.c:500
 #9 execcmd at exec.c:3200

Comment 1 Allan Poulsen 2014-01-13 20:16:16 UTC
Created attachment 849591 [details]
File: backtrace

Comment 2 Allan Poulsen 2014-01-13 20:16:19 UTC
Created attachment 849592 [details]
File: cgroup

Comment 3 Allan Poulsen 2014-01-13 20:16:26 UTC
Created attachment 849593 [details]
File: core_backtrace

Comment 4 Allan Poulsen 2014-01-13 20:16:28 UTC
Created attachment 849594 [details]
File: dso_list

Comment 5 Allan Poulsen 2014-01-13 20:16:30 UTC
Created attachment 849595 [details]
File: environ

Comment 6 Allan Poulsen 2014-01-13 20:16:32 UTC
Created attachment 849596 [details]
File: exploitable

Comment 7 Allan Poulsen 2014-01-13 20:16:35 UTC
Created attachment 849597 [details]
File: limits

Comment 8 Allan Poulsen 2014-01-13 20:16:39 UTC
Created attachment 849598 [details]
File: maps

Comment 9 Allan Poulsen 2014-01-13 20:16:42 UTC
Created attachment 849599 [details]
File: open_fds

Comment 10 Allan Poulsen 2014-01-13 20:16:46 UTC
Created attachment 849600 [details]
File: proc_pid_status

Comment 11 Allan Poulsen 2014-01-13 20:16:49 UTC
Created attachment 849601 [details]
File: var_log_messages

Comment 12 Dominic Hopf 2014-07-03 00:14:38 UTC
Zsh 5.0.5 will be available via updates-testing within the next days. I'd appreciate if you are able to check if this issue is still present for you with the latest version then.

Comment 13 Allan Poulsen 2016-01-25 13:58:30 UTC
Not seen after upgrading to fedora 21.


Note You need to log in before you can comment on or make changes to this bug.